NotificationsService (gCube Notifications Portlet 0.5.0-2.16.1 API)
Date: 2013-09-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.notifications.client
Interface NotificationsService

All Superinterfaces:
  com.google.gwt.user.client.rpc.RemoteService

All Known Implementing Classes:
  NotificationsServiceImpl

    @RemoteServiceRelativePath(value="notificationsServlet")
    public interface NotificationsService

extends com.google.gwt.user.client.rpc.RemoteService

The client side stub for the RPC service.

Method Summary
`org.gcube.portal.databook.shared.UserInfo` | `getUserInfo()`
`LinkedHashMap<String,ArrayList<NotificationPreference>>` | `getUserNotificationPreferences()`
`HashMap<Date,ArrayList<org.gcube.portal.databook.shared.Notification>>` | `getUserNotifications()`
`boolean` | `setAllUserNotificationsRead()`
`boolean` | `setUserNotificationPreferences(Map<org.gcube.portal.databook.shared.NotificationType,org.gcube.portal.databook.shared.NotificationChannelType[]> enabledChannels)`

Method Detail

### getUserInfo

    org.gcube.portal.databook.shared.UserInfo getUserInfo()

### getUserNotifications

    HashMap<Date,ArrayList<org.gcube.portal.databook.shared.Notification>> getUserNotifications()

### setAllUserNotificationsRead

    boolean setAllUserNotificationsRead()

### getUserNotificationPreferences

    LinkedHashMap<String,ArrayList<NotificationPreference>> getUserNotificationPreferences()

### setUserNotificationPreferences

    boolean setUserNotificationPreferences(Map<org.gcube.portal.databook.shared.NotificationType,org.gcube.portal.databook.shared.NotificationChannelType[]> enabledChannels)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.